#!/bin/sh

###############################################################
#   Usable environment variable:
#      LUN_UUID, LUN_NAME, LUN_ROOT_PATH, LUN_ID, LUN_TYPE,
#      IS_THIN_LUN, IS_ADV_LUN, IS_BKP_LUN and ERROR_CODE
#
###############################################################

#At begining, acquire package settings
SYNODRTOOL_BINARY=/var/packages/SnapshotReplication/target/sbin/synodrtool

SYNODR_PKG_NAME="SnapshotReplication"
SYNODR_PKG_VERSION="1.0"
SYNODR_PKG_VENDOR="Synology Inc."
SYNODR_PKG_MODVER="1.0"

case $1 in
	--sdk-mod-ver)
		echo ${SYNODR_PKG_MODVER}
	;;
	--name)
		echo ${SYNODR_PKG_NAME}
	;;
	--pkg-ver)
		echo ${SYNODR_PKG_VERSION}
	;;
	--vendor)
		echo ${SYNODR_PKG_VENDOR}
	;;
	--pre)
		if [ -f "${SYNODRTOOL_BINARY}" ]; then
			${SYNODRTOOL_BINARY} plan_delete_by_target synodr lun "${LUN_UUID}"
			${SYNODRTOOL_BINARY} test_delete_by_target lun "${LUN_UUID}"
		fi
	;;
	--post)
	;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac
