#!/bin/sh

###############################################################
#   This script should be hooked when invoking SYNOShareDelete()
#   Usable environment variable:
#       NITEMS, SHARE_NAME_X, SHARE_PATH_X, SHARE_OP_RESULT_X
#
###############################################################

#At begining, acquire package settings
SYNODRTOOL_BINARY=/var/packages/SnapshotReplication/target/sbin/synodrtool

SYNODR_PKG_NAME="SnapshotReplication"
SYNODR_PKG_VERSION="1.0"
SYNODR_PKG_VENDOR="Synology Inc."
SYNODR_PKG_MODVER="2.0"

case $1 in
	--sdk-mod-ver)
		echo ${SYNODR_PKG_MODVER}
	;;
	--name)
		echo ${SYNODR_PKG_NAME}
	;;
	--pkg-ver)
		echo ${SYNODR_PKG_VERSION}
	;;
	--vendor)
		echo ${SYNODR_PKG_VENDOR}
	;;
	--pre)
		if [ -f "${SYNODRTOOL_BINARY}" ]; then
			INDEX=1
			NITEMS=$((NITEMS + 1))
			while [ "${INDEX}" != "${NITEMS}" ]
			do
				eval "SHARE_NAME=\$SHARE_NAME_$INDEX"
				${SYNODRTOOL_BINARY} plan_delete_by_target synodr share "${SHARE_NAME}"
				${SYNODRTOOL_BINARY} test_delete_by_target share "${SHARE_NAME}"
				INDEX=$((INDEX + 1))
			done
		fi
	;;
	--post)
	;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac
