#!/bin/sh

###############################################################
#   This script should be hooked when invoking SYNOShareSet()
#   Usable environment variable:
#       ORIGIN_SHARE_NAME, ORIGIN_SHARE_STATUS, ORIGIN_SHARE_PATH, SHARE_NAME, SHARE_STATUS, SHARE_PATH
#   Note: The script should bear to be invoked multiple times
###############################################################

#At begining, acquire package settings
SYNODRTOOL_BINARY=/var/packages/SnapshotReplication/target/sbin/synodrtool

SYNODR_PKG_NAME="SnapshotReplication"
SYNODR_PKG_VERSION="1.0"
SYNODR_PKG_VENDOR="Synology Inc."
SYNODR_PKG_MODVER="2.0"

case $1 in
	--sdk-mod-ver)
		echo ${SYNODR_PKG_MODVER}
	;;
	--name)
		echo ${SYNODR_PKG_NAME}
	;;
	--pkg-ver)
		echo ${SYNODR_PKG_VERSION}
	;;
	--vendor)
		#Print package vendor
		echo ${SYNODR_PKG_VENDOR}
	;;
	--pre)
		#Actions before share set
	;;
	--post)
		#Actions after share set
		if [ -f "${SYNODRTOOL_BINARY}" ]; then
			if [ -n "${ORIGIN_SHARE_NAME}" ] && [ "${ORIGIN_SHARE_NAME}" != "${SHARE_NAME}" ] && [ "0" = "${RESULT}" ]; then
				${SYNODRTOOL_BINARY} plan_change_target synodr share "${ORIGIN_SHARE_NAME}" "${SHARE_NAME}"
				${SYNODRTOOL_BINARY} test_change_target share "${ORIGIN_SHARE_NAME}" "${SHARE_NAME}"
			fi
		fi
	;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac
