#!/bin/sh

###############################################################
#   Usable environment variable:
#   DEVICE, MOUNTPOINT, TYPE, LOCATION
#
###############################################################

#At begining, acquire package settings
SYNODRTOOL_BINARY=/var/packages/SnapshotReplication/target/sbin/synodrtool

SYNODR_PKG_NAME="SnapshotReplication"
SYNODR_PKG_VERSION="1.0"
SYNODR_PKG_VENDOR="Synology Inc."
SYNODR_PKG_MODVER="1.0"

case $1 in
	--sdk-mod-ver)
		echo ${SYNODR_PKG_MODVER}
	;;
	--name)
		echo ${SYNODR_PKG_NAME}
	;;
	--pkg-ver)
		echo ${SYNODR_PKG_VERSION}
	;;
	--vendor)
		echo ${SYNODR_PKG_VENDOR}
	;;
	--pre)
	;;
	--post)
		# For UC3200 to prevent volume access when volume is unmounting
		support_ntbha=$(/usr/syno/bin/synogetkeyvalue /etc.defaults/synoinfo.conf support_ntbha)
		if [ "${support_ntbha}" == "yes" ]; then
			/usr/syno/bin/synoiscsihook --volume_ref_create ${MOUNTPOINT} SnapshotReplication
		fi

		if [ -f "${SYNODRTOOL_BINARY}" ]; then
			${SYNODRTOOL_BINARY} volume_mount "${MOUNTPOINT}"
		fi
	;;
	*)
		echo "Usage: $0 --sdk-mod-ver|--name|--pkg-ver|--vendor|--pre|--post"
	;;
esac
