#!/bin/sh
# Copyright (c) 2000-2017 Synology Inc. All rights reserved.

. /var/packages/SnapshotReplication/scripts/common

OUTPUT_DIR="$1"
PACKAGE_TMP="/tmp/.synodr/"
PACKAGE_CACHE="/tmp/.synodrcache/plan"

# output directory is missing
if [ -z "${OUTPUT_DIR}" ]; then
	return
fi

mkdir -p ${OUTPUT_DIR}

mkdir -p ${OUTPUT_DIR}/pkg_etc
cp -r ${PACKAGE_ETC}/* ${OUTPUT_DIR}/pkg_etc/

mkdir -p ${OUTPUT_DIR}/tmp
cp -r ${PACKAGE_TMP}/* ${OUTPUT_DIR}/tmp/

mkdir -p ${OUTPUT_DIR}/cache
cp -r ${PACKAGE_CACHE} ${OUTPUT_DIR}/cache

# Collect retention policy
if [ -d "/usr/syno/etc/synoretention/" ]; then
	mkdir -p ${OUTPUT_DIR}/retention
	cp -r /usr/syno/etc/synoretention/* ${OUTPUT_DIR}/retention
fi

# Collect schedule tasks
if [ -f "/usr/syno/etc/scheduled_tasks" ]; then
	cp -r "/usr/syno/etc/scheduled_tasks" ${OUTPUT_DIR}/dsm_scheduled_tasks
fi
$SYNODRSNAPSCHEDTOOL_BIN list_sched_task > ${OUTPUT_DIR}/sr_sched_tasks.dump

mkdir -p ${OUTPUT_DIR}/iscsi_etc
cp -r /usr/syno/etc/iscsi*.conf ${OUTPUT_DIR}/iscsi_etc

${SYNOISCSIWEBAPI_BIN} l l &> ${OUTPUT_DIR}/iscsilun.dump
${SYNOISCSIWEBAPI_BIN} rep l &> ${OUTPUT_DIR}/iscsilun_rep.dump

${PACKAGE_SBIN}/synosharereplica -l &> ${OUTPUT_DIR}/share_rep.dump

${SYNODR_BIN} plan list &> ${OUTPUT_DIR}/plan.dump

# total snapshot count, total subvolume number and metadata
subvolume_num=0
SZD_SNAPSHOT="${OUTPUT_DIR}/snapinfo"
mkdir -p $SZD_SNAPSHOT

for vol in $(cat /run/synostorage/volumetab | awk '{print $2}'); do
	if [ "$(/usr/syno/sbin/synofstool --get-fs-type $vol)" = "btrfs" ]; then
		subvolume_num=$(($subvolume_num+$(btrfs sub list $vol | wc -l)))
		cp $vol/@sharesnap/@*.meta $SZD_SNAPSHOT
	fi
done

echo $subvolume_num > $SZD_SNAPSHOT/subvolume_num.result
${SYNOSHARESNAPSHOT_BIN} snapcount get > $SZD_SNAPSHOT/share_snapshot_count.result

